<?php
/*
 * Plugin Name: ThemetechMount Inoterior Demo Content Setup
 * Plugin URI: https://www.themetechmount.com
 * Description: Inoterior Demo Content Setup Plugin By ThemetechMount
 * Version: 1.0
 * Author: ThemetechMount
 * Author URI: https://www.themetechmount.com
 * Text Domain: inoterior-demosetup
 * Domain Path: /languages
 */
 
 
 
/**
 *  Version and directory
 */
define( 'INOTERIOR_TMDC_VERSION', '1.0' );
define( 'INOTERIOR_TMDC_DIR', plugin_dir_path( __FILE__ ) );
define( 'INOTERIOR_TMDC_URI', plugins_url( '', __FILE__ ) );



/**
 *  Demo Content setup
 */
require_once INOTERIOR_TMDC_DIR . 'one-click-demo/demo-content.php';



/**
 *  Translation
 */
function inoterior_demosetup_load_plugin_textdomain() {
	$domain = 'inoterior-demo-content-setup';
	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
	if ( $loaded = load_textdomain( 'inoterior-demosetup', trailingslashit( WP_LANG_DIR ) . $domain . '/' . $domain . '-' . $locale . '.mo' ) ) {
		return $loaded;
	} else {
		load_plugin_textdomain( 'inoterior-demosetup', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}
}
add_action( 'init', 'inoterior_demosetup_load_plugin_textdomain' );



/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function inoterior_demosetup_load_textdomain() {
	load_plugin_textdomain( 'inoterior-demosetup', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}
add_action( 'plugins_loaded', 'inoterior_demosetup_load_textdomain' );







function inoterior_demo_content_scripts_styles(){

	wp_enqueue_style(
		'tm-one-click-demo-style',
		plugin_dir_url( __FILE__ ) . 'style.css',
		time(),
		true
	);
	wp_enqueue_script(
		'tm-one-click-demo-set-js',
		plugin_dir_url( __FILE__ ) . 'functions.js',
		array( 'jquery' ),
		time(),
		true
	);
	


}
add_action( 'admin_enqueue_scripts', 'inoterior_demo_content_scripts_styles', 20 );



/**
 * HTML Output for the one click demo setup
 *
 * @since 1.0.0
 */
if( !function_exists('themetechmount_inoterior_one_click_html') ){
function themetechmount_inoterior_one_click_html() {
	?>
	
	<div id="import-demo-data-results">
				
		<div class="import-demo-data-text-w">
		
			<div class="import-demo-data-layout">
				<!-- <h3>Select demo data type  <small>(select below)</small>: </h3> -->
				
				<div class="tm-import-demo-left">
					<div class="tm-import-demo-left-inner">
						
						<select id="import-layout-type" name="import-layout-type">
							<option value="Overlay">Overlay Site</option>
							<option value="Classic">Classic Site</option>
							<option value="Elegant">Elegant Site</option>
							<option value="OnePage">OnePage Site</option>
							<option value="RTL">RTL Site</option>
							<option value="dark">Dark Version</option>
							<option value="demo2">Demo 2</option>
							<option value="demo3">Demo 3</option>
							<option value="demo4">Demo 4</option>
							<option value="demo5">Demo 5</option>
						</select>
						
						<br><br><hr>
						
						<div class="import-demo-data-text">
						
							<strong><?php esc_attr_e('NOTE:', 'inoterior'); ?></strong>
							<?php esc_attr_e('This process may overwrite your existing content or settings. So please do this on fresh WordPress setup only.', 'inoterior'); ?>
							<br /><br />
							<?php esc_attr_e('Also if you already included demo data than this will add multiple menu links and you need to remove the repeated menu items by going to "Admin > Appearance > menus" section.', 'inoterior'); ?>
							
						</div>

						
					</div>
				</div>
				
				<div class="tm-import-demo-right">
				
					<!-- Multi purpose -->
					<span class="import-demo-thumb-w import-demo-thumb-overlay">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-overlay.png" alt="overlay">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Overlay -->
					<span class="import-demo-thumb-w import-demo-thumb-classic" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/header-style-03/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-classic.png" alt="Classic">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Elegant -->
					<span class="import-demo-thumb-w import-demo-thumb-elegant" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/header-style-02/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-elegant.png" alt="elegant">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- OnePage -->
					<span class="import-demo-thumb-w import-demo-thumb-onepage" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/onepage/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-onepage.png" alt="onepage">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- rtl -->
					<span class="import-demo-thumb-w import-demo-thumb-rtl" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/rtl-demo/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-rtl.png" alt="RTL">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- dark -->
					<span class="import-demo-thumb-w import-demo-thumb-dark" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/inoterior-dark/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-dark.png" alt="dark">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- demo2 -->
					<span class="import-demo-thumb-w import-demo-thumb-demo2" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/demo2/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo2.png" alt="demo2">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- demo3 -->
					<span class="import-demo-thumb-w import-demo-thumb-demo3" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/demo3/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo3.png" alt="demo3">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- demo4 -->
					<span class="import-demo-thumb-w import-demo-thumb-demo4" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/demo4/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo4.png" alt="demo4">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- demo5 -->
					<span class="import-demo-thumb-w import-demo-thumb-demo5" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://themetechmount.com/wordpress/inoterior/demo5/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo5.png" alt="demo5">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
				</div>
				
				<div class="clear clr"></div>
				
			</div>
		
			
			<br /><br />
			<input type="button" class="button button-primary" id="themetechmount_one_click_demo_content" value="<?php esc_attr_e('I agree, continue demo content setup', 'inoterior'); ?>" /> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 
			<a href="#" class="tm-one-click-error-close"><?php esc_attr_e('Cancel', 'inoterior' ); ?></a>
		</div>
	
	</div>
	
	<div class="clear"></div>
	
	<?php
}
}